Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.gui
Class IPaneLight

    java.lang.Object
      igeo.gui.IComponent
          igeo.gui.IPaneLight

All Implemented Interfaces:
  IPane

    public class IPaneLight

extends IComponent
implements IPane

A pane object to provide one rectangular area to draw objects. Light weight implementation of IPane. One pane is associated with one IView and INavigator and retained by IPanel.

Author:
  Satoru Sugihara
See Also:
  `IView`, `INavigator`, `IPanel`

Field Summary
`java.awt.Color` | `borderColor`
`java.awt.Stroke` | `borderStroke`
`float` | `borderWidth`
`INavigator` | `navigator`
`IPanel` | `parent`
`IView` | `view`

Fields inherited from class igeo.gui.IComponent
`height, visible, width, x, y`

Constructor Summary
`IPaneLight(int x, int y, int width, int height)`
`IPaneLight(int x, int y, int width, int height, IView view, IPanel p)`

Method Summary
`void` | `draw(IGraphics g)`
`void` | `focus()` Focus view on objects
`void` | `focus(java.util.ArrayList<IObject> e)` Focus view on objects
`int` | `getBorderColor()`
`java.awt.Stroke` | `getBorderStroke()`
`float` | `getBorderWidth()`
`IPanelI` | `getPanel()`
`IView` | `getView()`
`void` | `keyPressed(IKeyEvent e)`
`void` | `keyReleased(IKeyEvent e)`
`void` | `keyTyped(IKeyEvent e)`
`void` | `mouseClicked(IMouseEvent e)`
`void` | `mouseDragged(IMouseEvent e)`
`void` | `mouseEntered(IMouseEvent e)`
`void` | `mouseExited(IMouseEvent e)`
`void` | `mouseMoved(IMouseEvent e)`
`void` | `mousePressed(IMouseEvent e)`
`void` | `mouseReleased(IMouseEvent e)`
`void` | `mouseWheelMoved(IMouseWheelEvent e)`
`INavigator` | `navigator()`
`void` | `setBorderColor(java.awt.Color c)`
`void` | `setBorderColor(int r, int g, int b, int a)`
`void` | `setBorderWidth(float b)`
`void` | `setBounds(int x, int y, int w, int h)`
`void` | `setLocation(int x, int y)`
`void` | `setPanel(IPanel p)`
`void` | `setPanel(IPanelI p)`
`void` | `setSize(int w, int h)`
`void` | `setView(IView view)`

Methods inherited from class igeo.gui.IComponent
`contains, getHeight, getWidth, getX, getY, isVisible, setBounds, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.gui.IPane
`contains, getHeight, getWidth, getX, getY, isVisible, setVisible`

Field Detail

### parent

    public IPanel parent

### view

    public IView view

### navigator

    public INavigator navigator

### borderWidth

    public float borderWidth

### borderColor

    public java.awt.Color borderColor

### borderStroke

    public java.awt.Stroke borderStroke

Constructor Detail

### IPaneLight

    public IPaneLight(int x,
                      int y,
                      int width,
                      int height,
                      IView view,
                      IPanel p)

### IPaneLight

    public IPaneLight(int x,
                      int y,
                      int width,
                      int height)

Method Detail

### setPanel

    public void setPanel(IPanel p)

### setPanel

    public void setPanel(IPanelI p)

  Specified by:
    `setPanel` in interface `IPane`

### getPanel

    public IPanelI getPanel()

  Specified by:
    `getPanel` in interface `IPane`

### setBorderWidth

    public void setBorderWidth(float b)

  Specified by:
    `setBorderWidth` in interface `IPane`

### getBorderWidth

    public float getBorderWidth()

  Specified by:
    `getBorderWidth` in interface `IPane`

### getBorderStroke

    public java.awt.Stroke getBorderStroke()

### setBorderColor

    public void setBorderColor(int r,
                               int g,
                               int b,
                               int a)

  Specified by:
    `setBorderColor` in interface `IPane`

### setBorderColor

    public void setBorderColor(java.awt.Color c)

### getBorderColor

    public int getBorderColor()

  Specified by:
    `getBorderColor` in interface `IPane`

### navigator

    public INavigator navigator()

  Specified by:
    `navigator` in interface `IPane`

### setBounds

    public void setBounds(int x,
                          int y,
                          int w,
                          int h)

  Specified by:
    `setBounds` in interface `IPane`
  Overrides:
    `setBounds` in class `IComponent`

### setLocation

    public void setLocation(int x,
                            int y)

  Specified by:
    `setLocation` in interface `IPane`
  Overrides:
    `setLocation` in class `IComponent`

### setSize

    public void setSize(int w,
                        int h)

  Specified by:
    `setSize` in interface `IPane`
  Overrides:
    `setSize` in class `IComponent`

### setView

    public void setView(IView view)

  Specified by:
    `setView` in interface `IPane`

### getView

    public IView getView()

  Specified by:
    `getView` in interface `IPane`

### draw

    public void draw(IGraphics g)

  Specified by:
    `draw` in interface `IPane`

### focus

    public void focus()

  Focus view on objects

  Specified by:
    `focus` in interface `IPane`

### focus

    public void focus(java.util.ArrayList<IObject> e)

  Focus view on objects

  Specified by:
    `focus` in interface `IPane`

### mousePressed

    public void mousePressed(IMouseEvent e)

  Specified by:
    `mousePressed` in interface `IPane`

### mouseReleased

    public void mouseReleased(IMouseEvent e)

  Specified by:
    `mouseReleased` in interface `IPane`

### mouseClicked

    public void mouseClicked(IMouseEvent e)

  Specified by:
    `mouseClicked` in interface `IPane`

### mouseEntered

    public void mouseEntered(IMouseEvent e)

  Specified by:
    `mouseEntered` in interface `IPane`

### mouseExited

    public void mouseExited(IMouseEvent e)

  Specified by:
    `mouseExited` in interface `IPane`

### mouseMoved

    public void mouseMoved(IMouseEvent e)

  Specified by:
    `mouseMoved` in interface `IPane`

### mouseDragged

    public void mouseDragged(IMouseEvent e)

  Specified by:
    `mouseDragged` in interface `IPane`

### mouseWheelMoved

    public void mouseWheelMoved(IMouseWheelEvent e)

  Specified by:
    `mouseWheelMoved` in interface `IPane`

### keyPressed

    public void keyPressed(IKeyEvent e)

  Specified by:
    `keyPressed` in interface `IPane`

### keyReleased

    public void keyReleased(IKeyEvent e)

  Specified by:
    `keyReleased` in interface `IPane`

### keyTyped

    public void keyTyped(IKeyEvent e)

  Specified by:
    `keyTyped` in interface `IPane`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD